Bug 10803 - "Make payment" in circ is not easily translatable
Summary: "Make payment" in circ is not easily translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-29 20:04 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10803: "Make payment" in circ is hard to translate in circulation (1.65 KB, patch)
2013-08-29 20:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10803: "Make payment" in circ is hard to translate in circulation (1.84 KB, patch)
2013-09-21 19:58 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10803: "Make payment" in circ is hard to translate in circulation (1.89 KB, patch)
2013-09-24 13:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-08-29 20:04:28 UTC
To test:
- Choose a patron account
- Add a fine to it
- Switch to the checkout tab of the patron account
- Check for the "Make payment" link. Make is not a link, but payment is.

In translation this string is divided into:
. %s Make
payment

Because of this it's difficult to translate it grammatically.
Comment 1 Katrin Fischer 2013-08-29 20:29:35 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-09-21 19:58:04 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-09-24 13:22:47 UTC
Created attachment 21415 [details] [review]
Bug 10803: "Make payment" in circ is hard to translate in circulation

To test:
- Choose a patron account
- Add a fine to it
- Switch to the checkout tab of the patron account
- Check for the "Make payment" link. Make is not a link, but payment is.
- Apply patch
- Check again, now both words are linked.

In translation this string is divided into:
. %s Make
payment

Because of this it's difficult to translate it grammatically.
The patch moves 'Make' into the link text, so that both words
will show up together in translation.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment: Works as described. No koha-qa errors.
Not only improves translatability,
also corrects capitalization.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2013-09-24 14:57:32 UTC
Pushed to master.  Thanks, Katrin!
Comment 5 Tomás Cohen Arazi 2013-11-13 16:26:40 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Katrina!